/*->h.temp */


#define TLAST 0
#define TCONF 1
#define TSAVE 2
#define TINFO 3
#define TTEDIOUS 4
#define TREGNOW 5
#define TGETDIR 6

typedef struct templates
{
 int     tempno;
 int     spritearea;

 struct
 {
  void *  offset;
  char *  tempname;
 } id;

} templates;


typedef struct templink
{
 struct templink  * next;
 templates        * temps;
} templink;



extern os_error * addtemplates(TCHAR * path,TCHAR * leaf,templates * temptable,
                                                              templink * link);

extern os_error * addtemplates2(TCHAR * path,TCHAR * leaf,templates * temptable,
                                     templink * link,ascaninstance instance);

extern os_error * addtemplates2a(TCHAR * path,TCHAR * leaf,templates * temptable,
                                     templink * link,ascaninstance instance);


extern os_error * findtemp(int tempno,wimp_wind ** ww);
extern os_error * findtempname(int * tempno,TCHAR * name);

extern os_error * createwindowtitle(int tempno,TCHAR * title,int * handle);
extern os_error * createwindow(int tempno,wimp_w * handle);
extern os_error * createwindowheight(int tempno,wimp_w * handle,int h);
extern void       tempmode(void);
extern os_error * tempremapwindow(wimp_w handle);

extern os_error * inittemp(void);
extern os_error * finittemp(void);

extern os_error * createwindowparent(int tempno,wimp_w * handle,wimp_w parent);
extern os_error * createwindowtitleparent(int tempno,TCHAR * title,wimp_w * handle,wimp_w parent);

